{
  "criteria": {
    "attack_entity": {
      "trigger": "minecraft:player_hurt_entity",
      "conditions": {
        "entity": [
          {
            "condition": "entity_properties",
            "entity": "this",
            "predicate": {
              "nbt": "{Tags:[\"OverlyRealistic.Entity.PlayerCorpseInteraction\"]}"
            }
          }
        ]
      }
    }
  },
  "requirements": [
    [
      "attack_entity"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:general/downing/player_corpse/corpse_interactions/player_hit_corpse"
  }
}